Skip to main content
`Ctrl`+`K`

# CoordinateFrameInfo

class astropy.coordinates.CoordinateFrameInfo(bound=False)

  Bases: `MixinInfo`

  Container for meta information like name, description, format. This is required when the object is used as a mixin column within a table, but can be used as a general way to store meta information.

  Attributes Summary

  `attrs_from_parent` |
  `mask_val` |
  `unit` |

  Methods Summary

  `default_format`(val) |
  `new_like`(coords, length[, ...]) | A new consistent coordinate instance with the given length.

  Attributes Documentation

  attrs_from_parent = {'unit'}
  mask_val = masked
  unit

  Methods Documentation

  static default_format(val)
  new_like(coords, length, metadata_conflicts='warn', name=None)

    A new consistent coordinate instance with the given length.

    Return a new SkyCoord or BaseCoordinateFrame instance which is consistent with the input coordinate objects `coords` and has `length` rows. Being “consistent” is defined as being able to set an item from one to each of the rest without any exception being raised.

    This is intended for creating a new coordinate instance whose elements can be set in-place for table operations like join or vstack. This is used when a coordinate object is used as a mixin column in an astropy Table.

    The data values are not predictable and it is expected that the consumer of the object will fill in all values.

    Parameters:
      coords `python:list`

        List of input SkyCoord or BaseCoordinateFrame objects

      length `python:int`

        Length of the output SkyCoord or BaseCoordinateFrame object

      metadata_conflicts `python:str` (‘warn’|’error’|’silent’)

        How to handle metadata conflicts

      name `python:str`

        Output name (sets output coord.info.name)

    Returns:
      coord|SkyCoord|, |BaseFrame|

        Instance of this class consistent with `coords`